
# Indigenous Land Claims and Lawsuits in Canada

This module contains a comprehensive and organized list of Indigenous land claims and lawsuits against Canada, both historical and active.

## Overview

Indigenous land claims and lawsuits in Canada seek to address wrongs made against Indigenous peoples, their rights, and lands by the federal, provincial, or territorial governments. These claims are categorized into two main types:

1. **Comprehensive Claims**: These involve Indigenous rights based on traditional use and occupancy of land by Indigenous peoples who did not sign treaties. Settlements typically include terms such as money, land, self-government rights, and joint management of lands and resources.

2. **Specific Claims**: These arise from issues related to the administration of treaties, the Indian Act, and the unlawful use of reserve lands. Settlements usually involve compensation and land.

## Notable Historical and Active Cases

Some of the key cases included in this module are:
- **Calder v. British Columbia (1973)**: Recognized Aboriginal title for the first time.
- **Guerin v. The Queen (1984)**: Government has a fiduciary duty to First Nations.
- **R. v. Sparrow (1990)**: Affirmed that Aboriginal rights are constitutionally protected.
- **Tsilhqot’in Nation v. British Columbia (2014)**: Recognized Aboriginal title to a significant land area.
- **First Nations Child and Family Caring Society of Canada v. Canada (2016)**: Federal government discriminated against First Nations children by underfunding child welfare services.
- **Blueberry River First Nations v. British Columbia (2021)**: Active litigation concerning the impacts of industrial development on treaty rights.
- **Yahey v. British Columbia (2021)**: Active litigation concerning the impacts of industrial development on treaty rights.

## How to Install

```bash
pip install .
```

## How to Use

To interact with the dataset:

```bash
indigenous_claims
```

## Features

- Get the full list of cases
- Search for a specific case by title

## Contributing

If you have any updates, corrections, or additional information to add to this module, please fork the repository, make your changes, and submit a pull request. Contributions are always welcome!

## License

This repository is licensed under the MIT License. See the LICENSE file for more details.

## Contact

For any questions or inquiries, please contact [AZephyer](https://github.com/AZephyer).

---

*Note: This dataset is a work in progress and will be updated regularly to ensure accuracy and comprehensiveness.*
